fop 1.1

## org.apache.fop.apps
Class PageSequenceResults

    java.lang.Object
      org.apache.fop.apps.PageSequenceResults

    public class PageSequenceResults

extends java.lang.Object

Class for reporting back formatting results to the calling application. This particular class is used to report the results of a single page-sequence.

Constructor Summary
`PageSequenceResults(java.lang.String id, int pageCount)` Constructor for the PageSequenceResults object

Method Summary
`java.lang.String` `getID()` Gets the ID of the page-sequence if one was specified.
`int` `getPageCount()` Gets the number of pages that resulted by processing the page-sequence.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PageSequenceResults

    public PageSequenceResults(java.lang.String id,
                               int pageCount)

  Constructor for the PageSequenceResults object

  Parameters:
    `id` - ID of the page-sequence, if available
    `pageCount` - The number of resulting pages

Method Detail

### getID

    public java.lang.String getID()

  Gets the ID of the page-sequence if one was specified.

  Returns:
    The ID

### getPageCount

    public int getPageCount()

  Gets the number of pages that resulted by processing the page-sequence.

  Returns:
    The number of pages generated

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.